ports/mail/metamail/patches/patch-src_bin_showaudio

70 lines
1.8 KiB
Text
Raw Normal View History

2023-08-16 22:26:55 +00:00
--- src/bin/showaudio.orig Wed Feb 2 23:21:26 1994
+++ src/bin/showaudio Sat Mar 17 10:51:52 2012
@@ -15,11 +15,37 @@
# WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES.
#
-
+# Set a sensible value for the temporary directory, if its not
+# already set. If TMPDIR is set previously, then we will
+# assume it is adequately protected.
if (! $?METAMAIL_TMPDIR) then
- set METAMAIL_TMPDIR=/tmp
+ if ($?TMPDIR) then
+ set METAMAIL_TMPDIR="$TMPDIR"
+ else
+ set METAMAIL_TMPDIR=~/metamail_tmp
+ endif
endif
+# Set a sensible umask value
+umask 077
+
+# Make sure that the temporary directory is available
+if (! -d "$METAMAIL_TMPDIR") then
+
+ if (! -e "$METAMAIL_TMPDIR") then
+ mkdir "$METAMAIL_TMPDIR"
+ else
+ echo "$METAMAIL_TMPDIR exists, but is not a directory"
+ exit 2
+ endif
+
+ if ( $status != 0 || ! -d "$METAMAIL_TMPDIR" ) then
+ echo "Error creating $METAMAIL_TMPDIR"
+ exit 2
+ endif
+
+endif
+
# First, figure out which machine to play it on!
set thishost=`hostname`
@@ -33,7 +59,7 @@ set AUDIOLOGMAIL=andrew@thumper.bellcore.com
set ORG="Bellcore"
set STDINPUT=0
if ("$1" == "-p") then
- set AUDIOPHONE=$2
+ set AUDIOPHONE="$2"
shift
shift
endif
@@ -173,7 +199,7 @@ if (-d $AUDIOBINDIR) then
set AUDIOPHONE=$<
endif
if ($thishost == $AUDIOPHONEHOST || $thishost == $AUDIOPHONEHOSTLONG) then
- echo Calling Phone number $AUDIOPHONE
+ echo Calling Phone number "$AUDIOPHONE"
echo "You MUST SAY HELLO when you answer the phone, or you will not hear the message."
mail -s "showaudio: `whoami` called $AUDIOPHONE" $AUDIOLOGMAIL < /dev/null
if ($STDINPUT) then
@@ -206,7 +232,7 @@ else
echo -n "File name:"
set fname=$<
endif
-cp $1 $fname
+cp "$1" $fname
if ($status == 0) echo Wrote raw audio file: $fname
exit 0